Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.diagram
Interface IdeDiagram

public interface IdeDiagram

`IdeDiagram` visualizes a content of `RwiDiagram` on the screen.

Author:
  TogetherSoft
See Also: RwiDiagram

Method Summary
`IdeDiagramElement` | `findElement(RwiElement rwiElement)` Returns `IdeDiagramElement` corresponding to the specified `RwiElement`.
`IdeDiagramElement` | `findElement(RwiReference rwiReference)` Returns `IdeDiagramElement` corresponding to the `RwiElement` referred to by the specified `RwiReference`.
`void` | `fitInWindow()` Zooms this diagram out so that all elements fit the diagram's window.
`RwiDiagram` | `getRwiDiagram()` Returns the `RwiDiagram` corresponding to this diagram.
`double` | `getZoomFactor()` Returns zoom factor.
`void` | `scrollTo(IdeDiagramElement element)` Scrolls the diagram to make specified `IdeDIagramElement` visible.
`void` | `select(IdeDiagramElement element)` Adds specified `IdeDiagramElement` to the set of selected elements of this diagram.
`IdeDiagramElementEnumeration` | `selectedElements()` Returns an enumeration of `IdeDiagramElements` currently selected in this diagram.
`void` | `setZoomFactor(double factor)` Sets specified zoom factor for this diagram.
`void` | `unselect(IdeDiagramElement element)` Removes the specified `IdeDiagramElement` from the selection in this diagram.
`void` | `unselectAll()` Clears the selection in this diagram.

Method Detail

### findElement

    public IdeDiagramElement findElement(RwiElement rwiElement)

  Returns `IdeDiagramElement` corresponding to the specified `RwiElement`. If there is no such element returns `null`.
  Parameters:
    rwiElement - `RwiElement` instance
  Returns: `IdeDiagramElement` corresponding to the specified `RwiElement`
  See Also:
    IdeDiagramElement, RwiElement, findElement(com.togethersoft.openapi.rwi.RwiReference)

### findElement

    public IdeDiagramElement findElement(RwiReference rwiReference)

  Returns `IdeDiagramElement` corresponding to the `RwiElement` referred to by the specified `RwiReference`. If there is no such element returns `null`.
  Parameters:
    rwiReference - the `rwiReference`
  Returns: `IdeDiagramElement` corresponding to the RwiElement referred to by the specified RwiReference
  See Also:
    IdeDiagramElement, RwiReference, findElement(com.togethersoft.openapi.rwi.RwiElement)

### fitInWindow

    public void fitInWindow()

  Zooms this diagram out so that all elements fit the diagram's window.

### getRwiDiagram

    public RwiDiagram getRwiDiagram()

  Returns the `RwiDiagram` corresponding to this diagram.
  Returns: the `RwiDiagram` corresponding to this diagram.

### getZoomFactor

    public double getZoomFactor()

  Returns zoom factor. If zoom factor is 1 then all elements are in normal size. For example, the value 0.5 means that all elements are two times smaller.

### scrollTo

    public void scrollTo(IdeDiagramElement element)

  Scrolls the diagram to make specified `IdeDIagramElement` visible.
  Parameters:
    element - the `IdeDiagramElement` to scroll to
  See Also:
    IdeDiagramElement

### select

    public void select(IdeDiagramElement element)

  Adds specified `IdeDiagramElement` to the set of selected elements of this diagram.
  Parameters:
    element - `IdeDiagramElement` to add to the selection.
  See Also:
    IdeDiagramElement

### selectedElements

    public IdeDiagramElementEnumeration selectedElements()

  Returns an enumeration of `IdeDiagramElements` currently selected in this diagram.
  Returns: an enumeration of `IdeDiagramElements` currently selected in this diagram.
  See Also:
    IdeDiagramElement

### setZoomFactor

    public void setZoomFactor(double factor)

  Sets specified zoom factor for this diagram. If zoom factor is 1 then all elements are in normal size. For example, the value 0.5 means that all elements are two times smaller.

### unselect

    public void unselect(IdeDiagramElement element)

  Removes the specified `IdeDiagramElement` from the selection in this diagram.
  Parameters:
    element - the `IdeDiagramElement` to remove from the selection.
  See Also:
    IdeDiagramElement

### unselectAll

    public void unselectAll()

  Clears the selection in this diagram.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD